/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\ml\hydra.cs
Lines of code: 66
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

/*
Note: Most values are made up/guessed based on stratics
*/

namespace Server.Mobiles
{
	[CorpseName( "a Hydra corpse" )]
	public class hydra : BaseCreature
	{

		[Constructable]
		public hydra() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.15, 0.18 )
		{
		
			Name = "a Hydra";
			Body = 265;
			BaseSoundID = 447;
			

			SetStr( 800, 830 );  
			SetDex( 100, 120 );
			SetInt( 100, 120 );

			SetHits( 1492, 1492 );
			SetMana( 100, 130 );

			SetDamage( 11, 16 );

			SetDamageType( ResistanceType.Physical, 60 );
			SetDamageType( ResistanceType.Fire, 10 );
			SetDamageType( ResistanceType.Cold, 10 );
			SetDamageType( ResistanceType.Poison, 10 );
			SetDamageType( ResistanceType.Energy, 10 );
			
			
			//default resists
			SetResistance( ResistanceType.Physical, 70, 80);
			SetResistance( ResistanceType.Fire, 70, 80 );
			SetResistance( ResistanceType.Cold, 20, 30 );
			SetResistance( ResistanceType.Poison, 40, 50 );
			SetResistance( ResistanceType.Energy, 30, 40 );
			
			//default skills
			SetSkill( SkillName.MagicResist, 80,90);
			SetSkill( SkillName.Tactics, 100,110);
			SetSkill( SkillName.Anatomy, 70,80);		
			SetSkill( SkillName.Wrestling, 100,110);
			

			Fame = 19000;
			Karma = -3500;

			VirtualArmor = 18;	
		

			Tamable = true;
			ControlSlots = 3;
			MinTameSkill = 93.9;
			
			PackItem( new GreaterPoisonPotion() );

		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich,3 );
		}


		public override bool HasBreath{ get{ return true; } }
		public override bool CanAngerOnTame { get { return true; } }		
		public override int breathtargets{ get{ return 5; } }
		public override bool IsMLCreature { get { return true;} } 
		public override double StatLossScalarOnTame { get {return 0.2;}}
		
		

		public hydra(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}